Add an allowed origin to the partner
curl --request POST \
--url https://api.flexslot.gg/api/public/v1/me/partner/allowed-origins \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"origin": "<string>"
}
'import requests
url = "https://api.flexslot.gg/api/public/v1/me/partner/allowed-origins"
payload = { "origin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({origin: '<string>'})
};
fetch('https://api.flexslot.gg/api/public/v1/me/partner/allowed-origins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowed_origins": [
"<string>"
]
}Me
Add an allowed origin to the partner
Manage the partner’s allowed-origins list.
POST adds an origin (idempotent — adding an existing origin is a no-op). DELETE with ?origin=… removes one (404 if not present, so the partner knows their request had no effect).
Origins gate write-path CORS — adding a new app domain shouldn’t require a Flexslot admin to do anything. This is the most common partner self-service action.
POST
/
api
/
public
/
v1
/
me
/
partner
/
allowed-origins
Add an allowed origin to the partner
Authorizations
PersonalAccessTokenOAuth2Bearer
User-issued personal access token (format: flx_pat_).
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Full origin to add/remove (e.g. https://app.example.com).
Minimum string length:
1Response
200 - application/json
Updated full list of allowed origins.
Was this page helpful?
⌘I